Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingPreparedStatement

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.JdbcMethodInvoker
  - - Altibase.jdbc.driver.sharding.core.AltibaseShardingStatement
    - - Altibase.jdbc.driver.sharding.core.AltibaseShardingPreparedStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseShardingCallableStatement

    public class AltibaseShardingPreparedStatement
    extends AltibaseShardingStatement
    implements java.sql.PreparedStatement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBatch()`
`void` `clearBatch()`
`void` `clearParameters()`
`boolean` `execute()`
`boolean` `execute(java.lang.String aSql)`
`boolean` `execute(java.lang.String aSql, int aAutoGeneratedKeys)`
`boolean` `execute(java.lang.String aSql, int[] aColumnIndexes)`
`boolean` `execute(java.lang.String aSql, java.lang.String[] aColumnNames)`
`int[]` `executeBatch()`
`java.sql.ResultSet` `executeQuery()`
`java.sql.ResultSet` `executeQuery(java.lang.String aSql)`
`int` `executeUpdate()`
`int` `executeUpdate(java.lang.String aSql)`
`int` `executeUpdate(java.lang.String aSql, int aAutoGeneratedKeys)`
`int` `executeUpdate(java.lang.String aSql, int[] aColumnIndexes)`
`int` `executeUpdate(java.lang.String aSql, java.lang.String[] aColumnNames)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.sql.ParameterMetaData` `getParameterMetaData()`
`void` `setArray(int aParameterIndex, java.sql.Array aValue)`
`void` `setAsciiStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setBigDecimal(int aParameterIndex, java.math.BigDecimal aValue)`
`void` `setBinaryStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setBlob(int aParameterIndex, java.sql.Blob aValue)`
`void` `setBoolean(int aParameterIndex, boolean aValue)`
`void` `setByte(int aParameterIndex, byte aValue)`
`void` `setBytes(int aParameterIndex, byte[] aValue)`
`void` `setCharacterStream(int aParameterIndex, java.io.Reader aReader, int aLength)`
`void` `setClob(int aParameterIndex, java.sql.Clob aValue)`
`void` `setDate(int aParameterIndex, java.sql.Date aValue)`
`void` `setDate(int aParameterIndex, java.sql.Date aValue, java.util.Calendar aCal)`
`void` `setDouble(int aParameterIndex, double aValue)`
`void` `setFloat(int aParameterIndex, float aValue)`
`void` `setInt(int aParameterIndex, int aValue)`
`void` `setLong(int aParameterIndex, long aValue)`
`void` `setNull(int aParameterIndex, int aSqlType)`
`void` `setNull(int aParameterIndex, int aSqlType, java.lang.String aTypeName)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType, int aScale)`
`void` `setRef(int aParameterIndex, java.sql.Ref aValue)`
`void` `setShort(int aParameterIndex, short aValue)`
`void` `setString(int aParameterIndex, java.lang.String aValue)`
`void` `setTime(int aParameterIndex, java.sql.Time aValue)`
`void` `setTime(int aParameterIndex, java.sql.Time aValue, java.util.Calendar aCal)`
`void` `setTimestamp(int aParameterIndex, java.sql.Timestamp aValue)`
`void` `setTimestamp(int aParameterIndex, java.sql.Timestamp aValue, java.util.Calendar aCal)`
`void` `setUnicodeStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setURL(int aParameterIndex, java.net.URL aValue)`

### Methods inherited from class Altibase.jdbc.driver.sharding.core.AltibaseShardingStatement

`addBatch, cancel, clearWarnings, close, createDataNodeStatement, createInternalStatement, createServerSideStatement, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMetaConn, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, hasNoData, isPrepared, removeFromStmtRouteMap, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, setShardMetaNumber, setSql`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`executeLargeUpdate, setAsciiStream, setAsciiStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setCharacterStream, setCharacterStream, setClob, setClob, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setObject, setObject, setRowId, setSQLXML`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearWarnings, close, closeOnCompletion, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

Specified by:
  `executeQuery` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String aSql)
                                    throws java.sql.SQLException

Specified by:
  `executeQuery` in interface `java.sql.Statement`
Overrides:
  `executeQuery` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             int aAutoGeneratedKeys)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             int[] aColumnIndexes)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             java.lang.String[] aColumnNames)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(int aParameterIndex,
                        int aSqlType)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBoolean

    public void setBoolean(int aParameterIndex,
                           boolean aValue)
                    throws java.sql.SQLException

Specified by:
  `setBoolean` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setByte

    public void setByte(int aParameterIndex,
                        byte aValue)
                 throws java.sql.SQLException

Specified by:
  `setByte` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setShort

    public void setShort(int aParameterIndex,
                         short aValue)
                  throws java.sql.SQLException

Specified by:
  `setShort` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setInt

    public void setInt(int aParameterIndex,
                       int aValue)
                throws java.sql.SQLException

Specified by:
  `setInt` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setLong

    public void setLong(int aParameterIndex,
                        long aValue)
                 throws java.sql.SQLException

Specified by:
  `setLong` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setFloat

    public void setFloat(int aParameterIndex,
                         float aValue)
                  throws java.sql.SQLException

Specified by:
  `setFloat` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setDouble

    public void setDouble(int aParameterIndex,
                          double aValue)
                   throws java.sql.SQLException

Specified by:
  `setDouble` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBigDecimal

    public void setBigDecimal(int aParameterIndex,
                              java.math.BigDecimal aValue)
                       throws java.sql.SQLException

Specified by:
  `setBigDecimal` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setString

    public void setString(int aParameterIndex,
                          java.lang.String aValue)
                   throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBytes

    public void setBytes(int aParameterIndex,
                         byte[] aValue)
                  throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(int aParameterIndex,
                        java.sql.Date aValue)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(int aParameterIndex,
                        java.sql.Time aValue)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(int aParameterIndex,
                             java.sql.Timestamp aValue)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(int aParameterIndex,
                               java.io.InputStream aValue,
                               int aLength)
                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int aParameterIndex,
                                 java.io.InputStream aValue,
                                 int aLength)
                          throws java.sql.SQLException

Specified by:
  `setUnicodeStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(int aParameterIndex,
                                java.io.InputStream aValue,
                                int aLength)
                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

Specified by:
  `clearParameters` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType,
                          int aScale)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute()
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           int aAutoGeneratedKeys)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           int[] aColumnIndexes)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           java.lang.String[] aColumnNames)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### addBatch

    public void addBatch()
                  throws java.sql.SQLException

Specified by:
  `addBatch` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

Specified by:
  `executeBatch` in interface `java.sql.Statement`
Overrides:
  `executeBatch` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(int aParameterIndex,
                                   java.io.Reader aReader,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setRef

    public void setRef(int aParameterIndex,
                       java.sql.Ref aValue)
                throws java.sql.SQLException

Specified by:
  `setRef` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParameterIndex,
                        java.sql.Blob aValue)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParameterIndex,
                        java.sql.Clob aValue)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setArray

    public void setArray(int aParameterIndex,
                         java.sql.Array aValue)
                  throws java.sql.SQLException

Specified by:
  `setArray` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(int aParameterIndex,
                        java.sql.Date aValue,
                        java.util.Calendar aCal)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(int aParameterIndex,
                        java.sql.Time aValue,
                        java.util.Calendar aCal)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(int aParameterIndex,
                             java.sql.Timestamp aValue,
                             java.util.Calendar aCal)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(int aParameterIndex,
                        int aSqlType,
                        java.lang.String aTypeName)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setURL

    public void setURL(int aParameterIndex,
                       java.net.URL aValue)
                throws java.sql.SQLException

Specified by:
  `setURL` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

Specified by:
  `getParameterMetaData` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

Specified by:
  `clearBatch` in interface `java.sql.Statement`
Overrides:
  `clearBatch` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`